DPKG-PRECONFIGURE.PT_BR.8(8)

NOME
dpkg-preconfigure - permite pacotes façam suas perguntas antes de sua instalação

RESUMO
 dpkg-preconfigure [opções] pacote.deb

 dpkg-preconfigure --apt

DESCRIÇÃO
dpkg-preconfigure permite que pacotes façam suas perguntas antes que os mesmos sejam instalados. Opera em um conjunto de pacotes debian, e todos os pacotes que usam debconf terão seus script de configuração assim os mesmos podem examinar o sistema e fazer perguntas.

OPÇÕES

-ftipo, --frontend=tipo
    Selecione o frontend a usar.

-pvalor, --priority=valor
    Define a prioridade mais baixa de questões nas quais você está interessado. Quaisquer questões com uma prioridade menor do que a prioridade selecionada será ignorda e suas respostas padrão serão usadas.

--terse
    Enables terse output mode. This affects only some frontends.

--apt
    Executa no modo apt. Esperará ler um conjunto de nomes de arquivos de pacotes a partir d entrada padrão (stdin) ao invés de obtê-los como parâmetros. Tipicamente isto é usado para fazer o apt executar dpkg-preconfigure em todos os pacotes antes que sejam instalados. Para fazer isso, adicione algo como isso ao /etc/apt/apt.conf :

     // Préconfigure todos os pacotes antes
     // que eles sejam instalados.
     DPkg::Pre-Install-Pkgs {
            "dpkg-preconfigure --apt --priority=low";
     };

-h, --help
    Exibe ajuda sobre o uso.

VEJA TAMBÉM
debconf(7)

AUTOR
Joey Hess <joeyh@debian.org>

TRADUÇÃO
André Luís Lopes <andrelop@debian.org>